# glanceclient.v1.images module

class glanceclient.v1.images.Image(manager, info, loaded=False)

  Bases: `Resource`

  data(**kwargs)
  delete(**kwargs)
  update(**fields)

class glanceclient.v1.images.ImageManager(client)

  Bases: `ManagerWithFind`

  create(**kwargs)

    Create an image.

    TODO(bcwaldon): document accepted params

  data(image, do_checksum=True, **kwargs)

    Get the raw data for a specific image.

    Parameters:

      - image – image object or id to look up

      - do_checksum – Enable/disable checksum validation

    Return type:

      iterable containing image data

  delete(image, **kwargs)

    Delete an image.

  get(image, **kwargs)

    Get the metadata for a specific image.

    Parameters:

      image – image object or id to look up

    Return type:

      `Image`

  list(**kwargs)

    Get a list of images.

    Parameters:

      - page_size – number of items to request in each paginated request

      - limit – maximum number of images to return

      - marker – begin returning images that appear later in the image list than that represented by this image id

      - filters – dict of direct comparison filters that mimics the structure of an image object

      - owner – If provided, only images with this owner (tenant id) will be listed. An empty string (‘’) matches ownerless images.

      - return_req_id – If an empty list is provided, populate this list with the request ID value from the header x-openstack-request-id

    Return type:

      list of `Image`

  resource_class

    alias of `Image`

  update(image, **kwargs)

    Update an image.

    TODO(bcwaldon): document accepted params

this page last updated: 2026-03-27 11:43:00

Except where otherwise noted, this document is licensed under Creative Commons Attribution 3.0 License. See all OpenStack Legal Documents.

found an error? report a bug